import 'package:flutter/material.dart';

import 'package:provider/provider.dart';

import 'package:pweb/pages/dashboard/buttons/balance/carousel.dart';
import 'package:pweb/providers/wallets.dart';


class BalanceWidget extends StatelessWidget {
  const BalanceWidget({super.key});

  @override
  Widget build(BuildContext context) {
    final walletsProvider = context.watch<WalletsProvider>();
    
    if (walletsProvider.isLoading) {
      return const Center(child: CircularProgressIndicator());
    }
    
    final wallets = walletsProvider.wallets;
    
    if (wallets == null || wallets.isEmpty) {
      return const Center(child: Text('No wallets available'));
    }

    return 
      WalletCarousel(
        wallets: wallets,
        onWalletChanged: walletsProvider.selectWallet,
      );
  }
}